Calculate total price
curl --request POST \
--url https://business.planewallet.org/api/v1/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "virtual-usd",
"amount": "50.00"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({productId: 'virtual-usd', amount: '50.00'})
};
fetch('https://business.planewallet.org/api/v1/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/quotes"
payload = {
"productId": "virtual-usd",
"amount": "50.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"productId": "<string>",
"amount": "50.00",
"fee": "50.00",
"total": "50.00",
"currency": "USD",
"environment": "<string>",
"priceVersion": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}Operations
Calculate total price
Required permission: cards:read or services:read. Sandbox is isolated from live funds. Live integration availability is checked server-side.
POST
/
api
/
v1
/
quotes
Calculate total price
curl --request POST \
--url https://business.planewallet.org/api/v1/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "virtual-usd",
"amount": "50.00"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({productId: 'virtual-usd', amount: '50.00'})
};
fetch('https://business.planewallet.org/api/v1/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/quotes"
payload = {
"productId": "virtual-usd",
"amount": "50.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"productId": "<string>",
"amount": "50.00",
"fee": "50.00",
"total": "50.00",
"currency": "USD",
"environment": "<string>",
"priceVersion": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json